---
updatedAt: 2025-10-16T17:55:46.000Z
agentTools:
  projectIndex: https://developers.bitlaunch.io/llms.txt
---

# List Domains

Lists domains.

## Response

Returns a list of [Domain Object](https://developers.bitlaunch.io/reference/domain-object)s.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bitlaunch-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://app.bitlaunch.io/api/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/domains": {
      "get": {
        "summary": "List Domains",
        "description": "Lists domains.",
        "operationId": "list-domains",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n  {\n    \"id\": \"test.com\",\n    \"uid\": \"aaaaaaaaaaabbbbbbbbbbbbb\",\n    \"created\": \"2022-02-08T16:33:36.754Z\",\n    \"counts\": {}\n  }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "example": "test.com"
                      },
                      "uid": {
                        "type": "string",
                        "example": "aaaaaaaaaaabbbbbbbbbbbbb"
                      },
                      "created": {
                        "type": "string",
                        "example": "2022-02-08T16:33:36.754Z"
                      },
                      "counts": {
                        "type": "object",
                        "properties": {}
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://app.bitlaunch.io/api/domains' -H 'Authorization: Bearer API_KEY'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```